Error
A valid request URL is required to generate request examples{
"success": true,
"generations": [
{
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"voiceId": "<string>",
"model": "<string>",
"outputFormat": "<string>",
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"outputAsset": {}
}
],
"pagination": {
"currentPage": 123,
"totalPages": 123,
"totalCount": 123,
"limit": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}Voiceover
List voiceovers
Paginated history of voiceover jobs for the authenticated user, including script, voice, status, and finished audio files.
GET
/
voiceovers
/
all
Error
A valid request URL is required to generate request examples{
"success": true,
"generations": [
{
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"voiceId": "<string>",
"model": "<string>",
"outputFormat": "<string>",
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"outputAsset": {}
}
],
"pagination": {
"currentPage": 123,
"totalPages": 123,
"totalCount": 123,
"limit": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}Returns the authenticated user’s voiceover jobs, newest first.
curl "https://mvp.tryunsora.com/api/v1/voiceovers/all?page=1&limit=12" \
-H "Authorization: Bearer uns_live_YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

